Bug 976917 - [GSS] (6.3) Admin Console logout procedure fails with LDAP connections
[GSS] (6.3) Admin Console logout procedure fails with LDAP connections
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity high
: DR0
: EAP 6.3.0
Assigned To: Darran Lofthouse
Ondrej Lukas
:
Depends On:
Blocks: 1051189
  Show dependency treegraph
 
Reported: 2013-06-21 17:47 EDT by Jesse Sightler
Modified: 2014-06-28 11:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1051189 (view as bug list)
Environment:
Last Closed: 2014-06-28 11:42:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1594 Major Resolved Domain Management logout 'feature' not working for HTTP BASIC authentication. 2016-12-07 07:15 EST

  None (edit)
Description Jesse Sightler 2013-06-21 17:47:47 EDT
Description of problem:

When using an LDAP connection for security, the admin console fails to logout. This is because the logout logic expects DIGEST authentication to be used, but this authentication method is not used for LDAP connections.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Jesse Sightler 2013-06-27 12:28:02 EDT
Even with the pull request to decode the http basic header, this still fails on Chromium for me (it works in Firefox after this change).
Comment 3 Darran Lofthouse 2013-06-27 12:30:42 EDT
Which pull request?  This still needs to be fully implemented.
Comment 4 Jesse Sightler 2013-06-27 12:38:53 EDT
Oops, forgot to link it:
https://github.com/jbossas/jboss-eap/pull/196
Comment 5 Darran Lofthouse 2013-06-27 13:10:52 EDT
Ah I see - this issue is currently assigned to me with a status of ASSIGNED, if you are actively working on it then you need to be the assignee of the issue.

Secondly before any EAP fix is made this MUST be fixed in WildFly and the change back ported - if you are working on this please also take the following Jira issue - https://issues.jboss.org/browse/WFLY-1594
Comment 6 Jesse Sightler 2013-06-28 11:10:35 EDT
I see... I would be happy to continue working on this as the assignee. At the time, I thought the changes in the PR were adequate but further testing has shown issues in Chrome.

Would you be able to assist with reviewing patches here? I think I have an algorithm that works, but it will need more testing and review.

I had initially started with the EAP branch, as I had (incorrectly) assumed that the Wildfly code in this area had diverged dramatically. It looks like it is actually very similar, so I will start sending PRs to it instead.
Comment 7 Darran Lofthouse 2013-06-28 12:00:32 EDT
Sure, feel free to take both issues and I can review what you have.
Comment 8 JBoss JIRA Server 2013-07-09 12:51:13 EDT
Jess Sightler <jsightle@redhat.com> made a comment on jira WFLY-1594

Sent Pull Request: https://github.com/wildfly/wildfly/pull/4745
Comment 11 JBoss JIRA Server 2014-01-03 14:35:09 EST
Darran Lofthouse <darran.lofthouse@jboss.com> updated the status of jira WFLY-1594 to Coding In Progress
Comment 15 Kabir Khan 2014-01-15 06:12:34 EST
Merged some days ago
Comment 16 Ondrej Lukas 2014-03-04 06:56:52 EST
Verified on EAP 6.3.0.DR1. 
(browsers: Google Chrome 33.0.1750.117, Mozilla Firefox 27.0.1)

Note You need to log in before you can comment on or make changes to this bug.